openssl (1.0.2e-1ubuntu1) xenial; urgency=medium

  * Merge with Debian, remaining changes.
    - Disable SSLv3 without changing ABI:
      + debian/patches/no-sslv3.patch: Disable SSLv3 without using the
        no-ssl3-method option
      + debian/rules: don't use no-ssl3-method, don't bump soname
      + debian/patches/engines-path.patch: don't bump soname
      + debian/patches/version-script.patch: don't bump soname
      + debian/patches/soname.patch: removed
      + debian/lib*: don't bump soname
    - debian/control: don't enable rfc3779 and cms support for now as it
      changes ABI.
    - debian/libssl1.0.0.postinst:
      + Display a system restart required notification on libssl1.0.0
        upgrade on servers.
      + Use a different priority for libssl1.0.0/restart-services depending
        on whether a desktop, or server dist-upgrade is being performed.
    - debian/{libssl1.0.0-udeb.dirs, control, rules}: Create
      libssl1.0.0-udeb, for the benefit of wget-udeb (no wget-udeb package
      in Debian).
    - debian/{libcrypto1.0.0-udeb.dirs, libssl1.0.0.dirs, libssl1.0.0.files,
      rules}: Move runtime libraries to /lib, for the benefit of
      wpasupplicant.
    - debian/patches/perlpath-quilt.patch: Don't change perl #! paths under
      .pc.
    - debian/rules:
      + Don't run 'make test' when cross-building.
      + Use host compiler when cross-building.  Patch from Neil Williams.
      + Don't build for processors no longer supported: i586 (on i386)
      + Fix Makefile to properly clean up libs/ dirs in clean target.
      + Replace duplicate files in the doc directory with symlinks.
    - debian/control: Mark Debian Vcs-* as XS-Debian-Vcs-*
    - debian/rules: Enable optimized 64bit elliptic curve code contributed
      by Google.

openssl (1.0.2e-1) unstable; urgency=high

  * New upstream release
    - Fix CVE-2015-3193
    - Fix CVE-2015-3194
    - Fix CVE-2015-3195
    - Fix CVE-2015-3196
  * Remove all symlinks during clean
  * Run make depend after configure
  * Remove openssl_button.* from the doc package

openssl (1.0.2d-3) unstable; urgency=medium

  * Upload to unstable

openssl (1.0.2d-2) experimental; urgency=medium

  * Build with no-ssl3-method to remove all SSLv3 support.  This results in
    the functions SSLv3_method(), SSLv3_server_method() and
    SSLv3_client_method() being removed from libssl.  Change the soname as
    result of that and also changes name of the binary package.
    (Closes: #768476)
  * Enable rfc3779 and cms support (Closes: #630790)
  * Fix cross compilation for mips architectures. (Closes: #782492)

openssl (1.0.2d-1) unstable; urgency=high

  * New upstream version
    - Fixes CVE-2015-1793

Date: Fri, 04 Dec 2015 08:24:39 -0500
Changed-By: Marc Deslauriers <marc.deslauri...@ubuntu.com>
Maintainer: Ubuntu Developers <ubuntu-devel-disc...@lists.ubuntu.com>
https://launchpad.net/ubuntu/+source/openssl/1.0.2e-1ubuntu1
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 04 Dec 2015 08:24:39 -0500
Source: openssl
Binary: openssl libssl1.0.0 libcrypto1.0.0-udeb libssl1.0.0-udeb libssl-dev 
libssl-doc libssl1.0.0-dbg
Architecture: source
Version: 1.0.2e-1ubuntu1
Distribution: xenial
Urgency: high
Maintainer: Ubuntu Developers <ubuntu-devel-disc...@lists.ubuntu.com>
Changed-By: Marc Deslauriers <marc.deslauri...@ubuntu.com>
Description:
 libcrypto1.0.0-udeb - Secure Sockets Layer toolkit - libcrypto udeb (udeb)
 libssl-dev - Secure Sockets Layer toolkit - development files
 libssl-doc - Secure Sockets Layer toolkit - development documentation
 libssl1.0.0 - Secure Sockets Layer toolkit - shared libraries
 libssl1.0.0-dbg - Secure Sockets Layer toolkit - debug information
 libssl1.0.0-udeb - ssl shared library - udeb (udeb)
 openssl    - Secure Sockets Layer toolkit - cryptographic utility
Closes: 630790 768476 782492
Changes:
 openssl (1.0.2e-1ubuntu1) xenial; urgency=medium
 .
   * Merge with Debian, remaining changes.
     - Disable SSLv3 without changing ABI:
       + debian/patches/no-sslv3.patch: Disable SSLv3 without using the
         no-ssl3-method option
       + debian/rules: don't use no-ssl3-method, don't bump soname
       + debian/patches/engines-path.patch: don't bump soname
       + debian/patches/version-script.patch: don't bump soname
       + debian/patches/soname.patch: removed
       + debian/lib*: don't bump soname
     - debian/control: don't enable rfc3779 and cms support for now as it
       changes ABI.
     - debian/libssl1.0.0.postinst:
       + Display a system restart required notification on libssl1.0.0
         upgrade on servers.
       + Use a different priority for libssl1.0.0/restart-services depending
         on whether a desktop, or server dist-upgrade is being performed.
     - debian/{libssl1.0.0-udeb.dirs, control, rules}: Create
       libssl1.0.0-udeb, for the benefit of wget-udeb (no wget-udeb package
       in Debian).
     - debian/{libcrypto1.0.0-udeb.dirs, libssl1.0.0.dirs, libssl1.0.0.files,
       rules}: Move runtime libraries to /lib, for the benefit of
       wpasupplicant.
     - debian/patches/perlpath-quilt.patch: Don't change perl #! paths under
       .pc.
     - debian/rules:
       + Don't run 'make test' when cross-building.
       + Use host compiler when cross-building.  Patch from Neil Williams.
       + Don't build for processors no longer supported: i586 (on i386)
       + Fix Makefile to properly clean up libs/ dirs in clean target.
       + Replace duplicate files in the doc directory with symlinks.
     - debian/control: Mark Debian Vcs-* as XS-Debian-Vcs-*
     - debian/rules: Enable optimized 64bit elliptic curve code contributed
       by Google.
 .
 openssl (1.0.2e-1) unstable; urgency=high
 .
   * New upstream release
     - Fix CVE-2015-3193
     - Fix CVE-2015-3194
     - Fix CVE-2015-3195
     - Fix CVE-2015-3196
   * Remove all symlinks during clean
   * Run make depend after configure
   * Remove openssl_button.* from the doc package
 .
 openssl (1.0.2d-3) unstable; urgency=medium
 .
   * Upload to unstable
 .
 openssl (1.0.2d-2) experimental; urgency=medium
 .
   * Build with no-ssl3-method to remove all SSLv3 support.  This results in
     the functions SSLv3_method(), SSLv3_server_method() and
     SSLv3_client_method() being removed from libssl.  Change the soname as
     result of that and also changes name of the binary package.
     (Closes: #768476)
   * Enable rfc3779 and cms support (Closes: #630790)
   * Fix cross compilation for mips architectures. (Closes: #782492)
 .
 openssl (1.0.2d-1) unstable; urgency=high
 .
   * New upstream version
     - Fixes CVE-2015-1793
Checksums-Sha1:
 5f155152bea8a40aac115180f5019a4b8c6a1746 2424 openssl_1.0.2e-1ubuntu1.dsc
 2c5691496761cb18f98476eefa4d35c835448fb6 5256555 openssl_1.0.2e.orig.tar.gz
 acca68506186ee6470567f754c10bd1df888502d 86472 
openssl_1.0.2e-1ubuntu1.debian.tar.xz
Checksums-Sha256:
 850e806ac2792f1a661c62a9099b6cdf9bd8332cd8172805f41dd9afbfda74d4 2424 
openssl_1.0.2e-1ubuntu1.dsc
 e23ccafdb75cfcde782da0151731aa2185195ac745eea3846133f2e05c0e0bff 5256555 
openssl_1.0.2e.orig.tar.gz
 2f97f2b685a2efd5b5ff7581adf020d6c95d64d5ca9ae3e465452d6058925841 86472 
openssl_1.0.2e-1ubuntu1.debian.tar.xz
Files:
 620cbac44c74cf15981356bef225f64a 2424 utils optional 
openssl_1.0.2e-1ubuntu1.dsc
 5262bfa25b60ed9de9f28d5d52d77fc5 5256555 utils optional 
openssl_1.0.2e.orig.tar.gz
 7e2934b580c7bd558a7bef013a8ec5a6 86472 utils optional 
openssl_1.0.2e-1ubuntu1.debian.tar.xz
Original-Maintainer: Debian OpenSSL Team 
<pkg-openssl-de...@lists.alioth.debian.org>

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCgAGBQJWYdNZAAoJEGVp2FWnRL6TkiIP/2qgvqufXoX30mmkmTdWcJn9
Ty+aFJgpnwp41g9qC6zt4MgLL2/+Hr2x0JiCc+9bSkgl4y82YvIUMptbADus4jII
4xZ9sAErcwx3bSDrP5WqKha5tUQplJbVWAReAqZiZecdlRtAa+PsgczRchJo2lpi
cW8ArXP4lnh4p+eYX6v4VUqR4pMyQU4yQR67ySmkr6Y4ZFAOBBL36e7FYBJv7iAV
s2INJsI2jYShw99940NEg7C/kWEeEmUj7stR9swIlHqg+WpJBr1r6F5+8c1yfUKQ
d4IrWG7kX/OUO4bM9+V6rWojvQYQoqMrxBKSo/yS6vvNVjDpDA1lsFdErTtuFoie
a9C1KcHNuQ68E3BY3fIHjGhFFXkgJOcMUglvyIpsu82xMzajcAOrEkzzOATpUiD9
h31KFHIAvlj2Fjw6d/bS8mHBh6YxKdQ9eljY08IsLsyNOIbGSxU0EzAzllpI1fNi
/eRYVD0K+B0mAdi1t5dqVGttnzVauRmfRG6FSYiWb7/huFqM7hLScH+A7CcB9laF
GkoGg+gFmdwi/D1PewlAY+oVH/MDp8tblJj5pNarJurUTorqqKA+OJd2aof/Zrkr
UCUMoEACeqxx9Z1bVCf7ntQGP8qb5lZreQmWjQW2qYlq7qpT2d16sKcWwF2u3G0d
omoiM9QCzc48YcIRNi5i
=vBbg
-----END PGP SIGNATURE-----
-- 
Xenial-changes mailing list
Xenial-changes@lists.ubuntu.com
Modify settings or unsubscribe at: 
https://lists.ubuntu.com/mailman/listinfo/xenial-changes

Reply via email to